<?php

/*
************************************************
phphits v1.1 Beta :: settings
[This file was automatically created by phphits]
************************************************
*/

// Format: "SETTING", "VALUE"
// Edit the value parts to fit your needs

// ~~~~~ Admin settings ~~~~~

define("ADMIN_USER", "admin");
// Admin user name
define("ADMIN_PWD", "phphits");
// Admin password

// ~~~~~ MySQL settings ~~~~~

define("SQL_HOST", "localhost");
// IP or host name of MySQL server
define("SQL_USER", "user");
// MySQL user name
define("SQL_PWD", "password");
// MySQL password
define("SQL_DB", "phphits");
// Name of MySQL database (will be automatically created by phphits)
define("SQL_TABLE_LOG", "log");
// Name of MySQL log table (will be automatically created by phphits)
define("SQL_TABLE_COUNTER", "counter");
// Name of MySQL counter table (will be automatically created by phphits)
define("SQL_SHOW_ERRORS", "1");
// Show MySQL error messages? ("0" = no, "1" = yes)

// ~~~~~ Counter settings ~~~~~

define("COUNTER_MODE", "1");
// Counter mode ("1" = text mode, "2" = image mode)
define("COUNTER_IMG_SUBDIR", "digits");
// Directory where the counter images are located (needed for image mode only)
define("COUNTER_DIGITS", "4");
// Number of counter digits
define("COUNTER_HITS_OFFSET", "0");
// Counter hits offset (this value is added to the "real" hits count)
define("COUNTER_BLOCK_TIME", "10");
// Ignore hit if same visitor has already been counted within the last ... minutes
define("COUNTER_BLOCK_IP", "0.0.0.0");
// Always ignore hits from visitors with this IP
define("COUNTER_USERONLINE_TIME", "3");
// Show number of users who have visited the site within the last ... minutes as "currently online"

// ~~~~~ Log settings ~~~~~

define("SQL_LOG_HITS", "0");
// Number of hits phphits should store in the log table ("0" = store all hits)
define("COUNTER_REC_HOST", "1");
// Look up and record visitor's hostname? ("0" = no, "1" = yes)
define("COUNTER_REC_BROWSER", "1");
// Record visitor's user agent (browser)? ("0" = no, "1" = yes)
define("COUNTER_REC_LANGUAGE", "1");
// Record visitor's user language? ("0" = no, "1" = yes)
define("COUNTER_REC_REFERRER", "1");
// Record page where visitor came from (referrer)? ("0" = no, "1" = yes)
define("COUNTER_REC_PAGE", "1");
// Record name of page visitor is looking at? ("0" = no, "1" = yes)

// ~~~~~ Log file settings ~~~~~

define("LOG_NUM_HITS", "500");
// Number of hits to show in log file
define("LOG_FONT_FACE", "Verdana, Arial, Helvetica, sans-serif");
// Font(s) used in log file
define("LOG_HIGHLIGHT_TIME", "24");
// Mark hits within the last ... hours in special color
define("LOG_HIGHLIGHT_COLOR", "#eeeeee");
// Use this color to mark these hits

?>