<?php

// ~~~~~ Load all GET and POST variables into array ~~~~~

$HTTP_REQUEST_VARS = array_merge($HTTP_GET_VARS, $HTTP_POST_VARS);

// ~~~~~ Redirect user to statslogin.php if he tried to open stats.php directly ~~~~~

if((!isset($HTTP_REQUEST_VARS["a_user"])) || (!isset($HTTP_REQUEST_VARS["a_pwd"])))
{
	@header("Location: statslogin.php");
	exit;
}

// ~~~~~ Include shared functions ~~~~~

include "phphits.inc.php";

?>
<html>
<head>
<title>phphits :: statistics</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="robots" content="NOINDEX,NOFOLLOW">
<meta name="author" content="Johannes Gamba (jgamba@geekfactory.de)">
<style type="text/css">
<!--
body {  font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 12px}
table {  font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 10px}
a:link {  color: #0066FF; text-decoration: underline}
a:visited {  color: #666666; text-decoration: underline}
a:hover {  color: #0066cc; text-decoration: none}
-->
</style>
</head>

<body bgcolor="#FFFFFF" text="#000000">
<?php

// ~~~~~ Check if login data is valid and go to selected area ~~~~~

if ((($HTTP_REQUEST_VARS["a_user"] == ADMIN_USER) && ($HTTP_REQUEST_VARS["a_pwd"] == ADMIN_PWD)) || (($HTTP_REQUEST_VARS["a_user"] == md5(ADMIN_USER)) && ($HTTP_REQUEST_VARS["a_pwd"] == md5(ADMIN_PWD))))
{
	echo "<b>php</b><i>hits</i> v" . SCRIPT_VERSION . "&nbsp;::&nbsp;statistics";
	echo "<hr noshade><p></p>";
	echo "<b>[<a href=\"log.php?sortby=rowid&mode=desc&a_user=" . md5(ADMIN_USER) . "&a_pwd=" . md5(ADMIN_PWD) . "\">View log file</a>]</b><p></p>";
	echo "<b>Top 10 Host Names</b><p></p>";
	phphitsShowTop10("host");
	echo "<p></p><b>Top 10 User Agents</b><p></p>";
	phphitsShowTop10("browser");
	echo "<p></p><b>Top 10 User Languages</b><p></p>";
	phphitsShowTop10("language");
	echo "<p></p><b>Top 10 Referrers</b><p></p>";
	phphitsShowTop10("referrer");
	echo "<p></p><b>Top 10 Pages</b><p></p>";
	phphitsShowTop10("page");
	echo "<p></p><hr noshade>";
	echo "<font color=\"999999\"><b>Coded by <a href=\"mailto:jgamba@geekfactory.de?subject=phphits\">Johannes Gamba</a></b></font>";
}
else
{
	echo "<hr noshade><font size=\"2\" face=\"" . LOG_FONT_FACE . "\">Wrong username / password!<p></p><a href=\"statslogin.php\">Back</a></font><hr noshade>";
}
?>
</body>
</html>